Reinstall VM
curl --request POST \
--url https://api.rafftechnologies.com/api/v1/vms/{id}/reinstall \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'X-Project-ID: <x-project-id>' \
--data '
{
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"password": "<string>",
"ssh_keys": [
"<string>"
],
"auto_generate_password": true
}
'import requests
url = "https://api.rafftechnologies.com/api/v1/vms/{id}/reinstall"
payload = {
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"password": "<string>",
"ssh_keys": ["<string>"],
"auto_generate_password": True
}
headers = {
"X-Project-ID": "<x-project-id>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Project-ID': '<x-project-id>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
template_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
password: '<string>',
ssh_keys: ['<string>'],
auto_generate_password: true
})
};
fetch('https://api.rafftechnologies.com/api/v1/vms/{id}/reinstall', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Operation completed successfully"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Power & state
Reinstall VM
Reinstall a virtual machine with a new OS template. This will destroy all data on the VM.
POST
/
api
/
v1
/
vms
/
{id}
/
reinstall
Reinstall VM
Updated May 8, 2026
Authorizations
API key for authentication. Each key is bound to a specific account.
Headers
Project ID. Required for all mutating operations (create, delete, power actions, resize).
Path Parameters
VM ID (UUID)
Body
application/json
ID of the OS template to reinstall with
New root/admin password. Either password or auto_generate_password should be provided.
SSH public keys for authentication
Auto-generate a password and email it to the account owner
Last modified on May 8, 2026
⌘I